Bug 247791 - Missing dynamic core in dosbox
Missing dynamic core in dosbox
Product: Fedora
Classification: Fedora
Component: dosbox (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-11 10:03 EDT by Piergiorgio Sartor
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 0.71-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-13 13:08:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Piergiorgio Sartor 2007-07-11 10:03:30 EDT
Description of problem:
Well, it seems that, probably due to the x86_64 build, dosbox does not support
the dynamic core.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Setup dosbox.conf with the cpu option "dynamic"
Start dosbox

Actual results:
dosbox does report it cannot do dynamic and it switches to normal

Expected results:
dosbox uses the dynamic core

Additional info:
Of course, it would be really appreciated a, second, i386 build, with dynamic
core (and whatever else is missing) enabled.
Final note, I'm experiencing random lockups of dosbox, having the i386 build
might help to understand where the problem could be.

Comment 1 Piergiorgio Sartor 2007-07-16 03:52:55 EDT
I was just un-installing the x86_64 version and installing the i386, from Fedora
7 i386. This one worked fine, dynamic core is, obviously, functioning and I had
no lockups at all.
All in all I think it would be much better to have the i386 version only,
instead of the x86_64. I do not think there is any advantage in a 64 bit
configuration to run old dos software.

Thanks again.
Comment 2 Fedora Update System 2007-08-09 12:50:05 EDT
dosbox-0.71-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Piergiorgio Sartor 2007-08-11 10:33:06 EDT
It seems the new release fixes the problems.
I would suggest to close this bug.
Comment 4 Fedora Update System 2007-08-13 13:08:09 EDT
dosbox-0.71-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.